> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# List Container Runtime Insights grouped by image



## OpenAPI

````yaml /api-reference/openapi.yaml get /accounts/{account_id}/container_runtime_insights/by_image
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /accounts/{account_id}/container_runtime_insights/by_image:
    get:
      tags:
        - Fingerprints
      summary: List Container Runtime Insights grouped by image
      parameters:
        - description: Account id
          in: path
          name: account_id
          required: true
          schema:
            type: string
        - description: Cluster ids
          in: query
          name: cluster_ids
          schema:
            type: string
        - description: Kubernetes namespace
          in: query
          name: namespaces
          schema:
            type: string
        - description: Kubernetes Pod name
          in: query
          name: pod_names
          schema:
            type: string
        - description: Container name
          in: query
          name: container_names
          schema:
            type: string
        - description: Only return insights for Running containers
          in: query
          name: running_only
          schema:
            type: boolean
        - description: >-
            Comma-separated insight states to include. One of: no_data,
            capturing_baseline, baseline_captured, drift_detected
          in: query
          name: include_states
          schema:
            type: string
        - description: >-
            Comma-separated insight states to exclude. Takes priority over
            `include_states`. One of: no_data, capturing_baseline,
            baseline_captured, drift_detected
          in: query
          name: exclude_states
          schema:
            type: string
        - description: Query string to filter insights
          in: query
          name: q
          schema:
            type: string
        - description: Page number starting from 1
          in: query
          name: page
          schema:
            type: integer
        - description: 'Page size. Default: 50'
          in: query
          name: page_size
          schema:
            type: integer
        - description: 'Sort by field. Default: created_at:desc'
          in: query
          name: sort
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResp-ContainerRuntimeInsightByImage'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    ListResp-ContainerRuntimeInsightByImage:
      properties:
        entries:
          items:
            $ref: '#/components/schemas/ContainerRuntimeInsightByImage'
          type: array
        page:
          type: integer
        page_count:
          type: integer
        page_size:
          type: integer
        total_count:
          type: integer
      type: object
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    ContainerRuntimeInsightByImage:
      properties:
        accountID:
          type: string
        containerImageDigest:
          type: string
        containerImageNames:
          items:
            type: string
          type: array
        containersCount:
          type: integer
        maxCreatedAt:
          type: string
        states:
          items:
            type: string
          type: array
      type: object
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message

````